package com.philisense.www.mapper;


import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface ProMenuAuthMapper extends BaseCRUDMapper{


    public List<Map<String, Object>> getAllMenuTreeByAuthID(Map<String, Object> map);

    public List<Map<String, Object>> getPageAuthByMenuTreeId(Map<String, Object> map);

    public int getCountAuthByMenuTreeId(Map<String, Object> map);

    public int updateDropNode(Map<String, Object> map);

    void deleteBatchByAuthID(Map<String, Object> map);
}
